SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Protected Member Functions | Static Protected Member Functions | List of all members
sf::GlResource Class Reference
Window module

Base class for classes that require an OpenGL context. More...

`#include <GlResource.hpp>`

Inheritance diagram for sf::GlResource:

## Classes

class | TransientContextLock
| RAII helper class to temporarily lock an available context for use. More...

## Protected Member Functions

| GlResource ()
| Default constructor. More...
| ~GlResource ()
| Destructor. More...

## Static Protected Member Functions

static void | registerContextDestroyCallback (ContextDestroyCallback callback, void *arg)
| Register a function to be called when a context is destroyed. More...

## Detailed Description

Base class for classes that require an OpenGL context.

This class is for internal use only, it must be the base of every class that requires a valid OpenGL context in order to work.

Definition at line 46 of file GlResource.hpp.

## Constructor & Destructor Documentation

## ◆ GlResource()

sf::GlResource::GlResource | ( |  | ) |

protected

Default constructor.

## ◆ ~GlResource()

sf::GlResource::~GlResource | ( |  | ) |

protected

Destructor.

## Member Function Documentation

## ◆ registerContextDestroyCallback()

static void sf::GlResource::registerContextDestroyCallback | ( | ContextDestroyCallback | callback,
|  | void * | arg
| ) |  |

staticprotected

Register a function to be called when a context is destroyed.

This is used for internal purposes in order to properly clean up OpenGL resources that cannot be shared between contexts.

Parameters

  callback | Function to be called when a context is destroyed
  arg | Argument to pass when calling the function

The documentation for this class was generated from the following file:

- GlResource.hpp